## vdr-plugin-fritzbox 0.0.9

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.
# IPORTANT: the presence of this macro is important for the Make.config
# file. So it must be defined, even if it is not used here!
#
PLUGIN = fritzbox
	
### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

### The C++ compiler and options:

CXX      ?= g++
CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual

### The directory environment:

VDRDIR = ../../..
LIBDIR = ../../lib
TMPDIR = /tmp

### Allow user defined options to overwrite defaults:

-include $(VDRDIR)/Make.config

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
USE_GETTEXT= $(shell test $(VDRVERSNUM) -ge 10507 && echo yes)
USE_GETTEXT_V2= $(shell test $(VDRVERSNUM) -ge 10508 && echo yes)
DOXYFILE = Doxyfile
DOXYGEN  = doxygen

ifeq ($(USE_GETTEXT_V2),yes)
I18N_PREFIX = vdr-
endif

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### Includes and Defines (add further entries here):

INCLUDES += -I$(VDRDIR)/include

DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### The object files (add further files here):

OBJS = $(PLUGIN).o calllist.o fonbooks.o fritzfonbuch.o fritzlistener.o fonbuch.o fonbuchmanager.o fritztools.o menu.o oertlichesfonbuch.o setup.o tcpclient.o	  
ifneq ($(USE_GETTEXT),yes)
OBJS += i18n.o
endif

### Targets:
ifeq ($(USE_GETTEXT),yes)
all: libvdr-$(PLUGIN).so i18n
else
all: libvdr-$(PLUGIN).so 
endif
libvdr-$(PLUGIN).so: $(OBJS)
	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
	

%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<


dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~

### Internationalization (I18N):

PODIR     = po
LOCALEDIR = $(VDRDIR)/locale
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmsgs  = $(addprefix $(LOCALEDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c)
	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^

%.po: $(I18Npot)
	msgmerge -U --no-wrap -F --backup=none -q $@ $<
	@touch $@

$(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	@mkdir -p $(dir $@)
	cp $< $@

.PHONY: i18n
i18n: $(I18Nmsgs)

srcdoc:
	@cp $(DOXYFILE) $(DOXYFILE).tmp
	@echo PROJECT_NUMBER = $(VERSION) >> $(DOXYFILE).tmp
	$(DOXYGEN) $(DOXYFILE).tmp
	@rm $(DOXYFILE).tmp
				

# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

## vdr-plugin-fritzbox 1.0.0

=== Makefile ===
--- 
+++ 
@@ -34,14 +34,8 @@
 
 APIVERSION = $(shell sed -ne '/define APIVERSION/s/^.*"\(.*\)".*$$/\1/p' $(VDRDIR)/config.h)
 VDRVERSNUM = $(shell grep 'define VDRVERSNUM ' $(VDRDIR)/config.h | awk '{ print $$3 }' | sed -e 's/"//g')
-USE_GETTEXT= $(shell test $(VDRVERSNUM) -ge 10507 && echo yes)
-USE_GETTEXT_V2= $(shell test $(VDRVERSNUM) -ge 10508 && echo yes)
 DOXYFILE = Doxyfile
 DOXYGEN  = doxygen
-
-ifeq ($(USE_GETTEXT_V2),yes)
-I18N_PREFIX = vdr-
-endif
 
 ### The name of the distribution archive:
 
@@ -57,16 +51,9 @@
 ### The object files (add further files here):
 
 OBJS = $(PLUGIN).o calllist.o fonbooks.o fritzfonbuch.o fritzlistener.o fonbuch.o fonbuchmanager.o fritztools.o menu.o oertlichesfonbuch.o setup.o tcpclient.o	  
-ifneq ($(USE_GETTEXT),yes)
-OBJS += i18n.o
-endif
 
 ### Targets:
-ifeq ($(USE_GETTEXT),yes)
 all: libvdr-$(PLUGIN).so i18n
-else
-all: libvdr-$(PLUGIN).so 
-endif
 libvdr-$(PLUGIN).so: $(OBJS)
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
 	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)

## vdr-plugin-fritzbox 1.3.3

=== Makefile ===
--- 
+++ 
@@ -18,12 +18,18 @@
 ### The C++ compiler and options:
 
 CXX      ?= g++
-CXXFLAGS ?= -fPIC -g -O2 -Wall -Woverloaded-virtual
+CXXFLAGS ?= -g -ggdb -O2 -Wall -Woverloaded-virtual
+
+### Make sure that necessary options are included:
+ifeq ($(strip $(wildcard $(VDRDIR)/Make.global)),)
+  CXXFLAGS += -fPIC
+else
+  include $(VDRDIR)/Make.global
+endif
 
 ### The directory environment:
-
-VDRDIR = ../../..
-LIBDIR = ../../lib
+VDRDIR ?= ../../..
+LIBDIR = $(VDRDIR)/PLUGINS/lib
 TMPDIR = /tmp
 
 ### Allow user defined options to overwrite defaults:
@@ -48,32 +54,59 @@
 
 DEFINES += -D_GNU_SOURCE -DPLUGIN_NAME_I18N='"$(PLUGIN)"'
 
+### libfritz++
+LIBFRITZ = libfritz++
+INCLUDES += -I$(LIBFRITZ)
+LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt
+
+### libpthread++
+LIBPTHREAD = libpthread++
+INCLUDES += -I$(LIBPTHREAD)
+LIBS += $(LIBPTHREAD)/$(LIBPTHREAD).a
+
+### libtcpclient++
+LIBTCPCLIENT = libtcpclient++
+INCLUDES += -I$(LIBTCPCLIENT)
+LIBS += $(LIBTCPCLIENT)/$(LIBTCPCLIENT).a 
+
+
 ### The object files (add further files here):
 
-OBJS = $(PLUGIN).o calllist.o fonbooks.o fritzfonbuch.o fritzlistener.o fonbuch.o fonbuchmanager.o fritztools.o menu.o oertlichesfonbuch.o setup.o tcpclient.o	  
+OBJS = $(PLUGIN).o fritzeventhandler.o log.o menu.o notifyosd.o setup.o	  
 
 ### Targets:
 all: libvdr-$(PLUGIN).so i18n
-libvdr-$(PLUGIN).so: $(OBJS)
-	$(CXX) $(CXXFLAGS) -shared $(OBJS) -o $@
-	@cp --remove-destination $@ $(LIBDIR)/$@.$(APIVERSION)
+	@-cp --remove-destination libvdr-$(PLUGIN).so $(LIBDIR)/libvdr-$(PLUGIN).so.$(APIVERSION) 
+## TODO: Prevent so file from beeing build every time
+libvdr-$(PLUGIN).so: $(OBJS) libfritz 
+	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	
+libfritz: libtcpclient libpthread
+	$(MAKE) -C $(LIBFRITZ)	
+	
+libtcpclient:
+	$(MAKE) -C $(LIBTCPCLIENT)
+	
+libpthread:
+	$(MAKE) -C $(LIBPTHREAD)
 
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
-
 
 dist: clean
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@mkdir $(TMPDIR)/$(ARCHIVE)
 	@cp -a * $(TMPDIR)/$(ARCHIVE)
-	@tar czf $(PACKAGE).tgz -C $(TMPDIR) $(ARCHIVE)
+	@tar czf $(PACKAGE).tgz --exclude=.* --exclude=test -C $(TMPDIR) $(ARCHIVE)
 	@-rm -rf $(TMPDIR)/$(ARCHIVE)
 	@echo Distribution package created as $(PACKAGE).tgz
 
 clean:
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
+	@-make -C $(LIBFRITZ) clean
+	@-make -C $(LIBTCPCLIENT) clean
+	@-make -C $(LIBPTHREAD) clean
 
 ### Internationalization (I18N):
 
@@ -86,8 +119,8 @@
 %.mo: %.po
 	msgfmt -c -o $@ $<
 
-$(I18Npot): $(wildcard *.c)
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+$(I18Npot): $(wildcard *.c) $(wildcard libfritz++/*.cpp)
+	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP -kI18N_NOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
 
 %.po: $(I18Npot)
 	msgmerge -U --no-wrap -F --backup=none -q $@ $<
@@ -106,7 +139,6 @@
 	$(DOXYGEN) $(DOXYFILE).tmp
 	@rm $(DOXYFILE).tmp
 				
-
 # Dependencies:
 
 MAKEDEP = $(CXX) -MM -MG

=== libfritz++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
include_directories(../libtcpclient++ ../libpthread++)
project (libfritz++)
set(SRCS CallList.cpp Config.cpp Fonbooks.cpp Fonbook.cpp FonbookManager.cpp FritzClient.cpp FritzFonbook.cpp Listener.cpp Tools.cpp LocalFonbook.cpp Nummerzoeker.cpp OertlichesFonbook.cpp)
add_library(fritz++ STATIC ${SRCS})

=== libfritz++/Makefile ===
LIB = libfritz++.a
OBJS = CallList.o Config.o Fonbooks.o Fonbook.o FonbookManager.o FritzClient.o FritzFonbook.o Listener.o Tools.o LocalFonbook.o Nummerzoeker.o OertlichesFonbook.o

CXXFLAGS ?= -g -O2 -Wall -fPIC

### libpthread++
INCLUDES += -I../libpthread++
#LIBS += libpthread++/libpthread++.a

### libtcpclient++
INCLUDES += -I../libtcpclient++
#LIBS += libtcpclient++/tcpclient++.a

all: $(LIB)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).

clean:
	@-rm $(LIB) $(OBJS) $(DEPFILE)
	
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

=== libpthread++/Makefile ===
LIB = libpthread++.a
OBJS = PThread++.o

CXXFLAGS = -g -O2 -Wall -fPIC

all: $(LIB)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).

clean:
	@-rm $(OBJS) $(LIB)

=== libtcpclient++/Makefile ===
LIB = libtcpclient++.a
OBJS = TcpClient++.o

CXXFLAGS = -g -O2 -Wall -fPIC

### libpthread++
INCLUDES += -I../libpthread++
#LIBS += libpthread++/libpthread++.a

all: $(LIB)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).

clean:
	@-rm $(OBJS) $(LIB)

## vdr-plugin-fritzbox 1.3.9

=== libfritz++/CMakeLists.txt ===
cmake_minimum_required(VERSION 2.6)
project (libfritz++)
set(SRCS cc++/url.cpp cc++/urlstring.cpp cc++/mime.cpp cc++/soap.cpp
         CallList.cpp Config.cpp 
         Fonbooks.cpp Fonbook.cpp FonbookManager.cpp FritzClient.cpp FritzFonbook.cpp 
         HttpClient.cpp Listener.cpp LocalFonbook.cpp Nummerzoeker.cpp OertlichesFonbook.cpp 
         SoapClient.cpp TcpClient.cpp TelLocalChFonbook.cpp Tools.cpp XmlFonbook.cpp)
add_library(fritz++ STATIC ${SRCS})

=== libfritz++/Makefile ===
LIB = libfritz++.a
OBJS = cc++/url.o cc++/mime.o cc++/urlstring.o cc++/soap.o CallList.o Config.o Fonbooks.o Fonbook.o FonbookManager.o FritzClient.o FritzFonbook.o HttpClient.o Listener.o Tools.o LocalFonbook.o Nummerzoeker.o OertlichesFonbook.o SoapClient.o TcpClient.o TelLocalChFonbook.o XmlFonbook.o

CXXFLAGS ?= -g -O2 -Wall -fPIC

### for cc++ dir
INCLUDES += -I.

all: $(LIB)

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $(DEFINES) $(INCLUDES) $<

$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).

clean:
	@-rm $(LIB) $(OBJS) $(DEPFILE)
	
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

=== debian/changelog ===
vdr-plugin-fritzbox (1.3.9-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Build-depend on vdr-dev >= 1.7.17
  * Updated debian/copyright
  * Standards-Version: 3.9.1
  * Switched to debhelper 7 and dropped cdbs

 -- Tobias Grimm <etobi@debian.org>  Thu, 07 Apr 2011 22:43:33 +0200

vdr-plugin-fritzbox (1.3.5-1) unstable; urgency=low

  * New upstream release

 -- Thomas Günther <tom@toms-cafe.de>  Mon, 27 Sep 2010 23:13:33 +0200

vdr-plugin-fritzbox (1.3.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on libgcrypt11-dev
  * Dropped 01_gnutls.dpatch

 -- Tobias Grimm <etobi@debian.org>  Tue, 01 Jun 2010 00:19:47 +0200

vdr-plugin-fritzbox (1.3.2-3) unstable; urgency=low

  * Added missing libgnutls-oppssl linking
  * Added source/format 1.0

 -- Tobias Grimm <etobi@debian.org>  Wed, 14 Apr 2010 00:32:22 +0200

vdr-plugin-fritzbox (1.3.2-2) unstable; urgency=low

  * Build-depend on vdr-dev >= 1.6.0-16
  * Replaced openssl by gnutls to avoid GPL licence conflict

 -- Tobias Grimm <etobi@debian.org>  Sun, 28 Mar 2010 15:04:46 +0200

vdr-plugin-fritzbox (1.3.2-1) unstable; urgency=low

  * New upstream release
  * Removed 01_fix-FritzClient.cpp.dpatch
  * Removed dpatch from Build-Depends
  * Standards-Version: 3.8.4

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 18 Mar 2010 02:33:50 +0100

vdr-plugin-fritzbox (1.3.1-1) unstable; urgency=low

  * New upstream release
  * Added libssl-dev to Build-Depends
  * Added 01_fix-FritzClient.cpp.dpatch (thx to Holger Schvestka)
  * Added dpatch to Build-Depends
  * Added README.source

 -- Thomas Günther <tom@toms-cafe.de>  Thu, 26 Nov 2009 20:00:49 +0100

vdr-plugin-fritzbox (1.2.1-3) unstable; urgency=low

  * Removed non-standard shebang line from debian/rules (Closes: #552642)

 -- Tobias Grimm <etobi@debian.org>  Sun, 08 Nov 2009 23:33:17 +0100

vdr-plugin-fritzbox (1.2.1-2) unstable; urgency=low

  * Updated debian/watch
  * Standards-Version: 3.8.3

 -- Tobias Grimm <etobi@debian.org>  Fri, 09 Oct 2009 23:15:18 +0200

vdr-plugin-fritzbox (1.2.1-1) unstable; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Install German README.de
  * Install localphonebook.csv as config file to /etc/vdr/plugins/fritzbox/

 -- Tobias Grimm <etobi@debian.org>  Tue, 02 Jun 2009 21:21:34 +0200

vdr-plugin-fritzbox (1.0.1-2) unstable; urgency=low

  * Release for vdrdevel 1.7.6
  * Added ${misc:Depends}
  * Bumped standards version to 3.8.1
  * Updated debian/copyright
  * Changed section to "video"

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 29 Apr 2009 23:10:54 +0200

vdr-plugin-fritzbox (1.0.1-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Fri, 25 Jul 2008 19:08:13 +0200

vdr-plugin-fritzbox (1.0.0-3) unstable; urgency=low

  [ Tobias Grimm ]
  * Dropped patchlevel control field
  * Build-Depend on vdr-dev (>=1.6.0-5)
  * Bumped Standards-Version to 3.8.0

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 19 Jul 2008 17:40:19 +0200

vdr-plugin-fritzbox (1.0.0-2) unstable; urgency=low

  * Upload to unstable 

 -- Thomas Schmidt <tschmidt@debian.org>  Sun, 08 Jun 2008 23:21:09 +0200

vdr-plugin-fritzbox (1.0.0-1) experimental; urgency=low

  * New upstream release

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 01 May 2008 22:04:56 +0200

vdr-plugin-fritzbox (0.0.13-1) experimental; urgency=low

  [ Thomas Schmidt ]
  * Build-Depend on vdr-dev (>=1.6.0-1)

  [ Tobias Grimm ]
  * New upstream release
  * Removed 01_fd-fix.dpatch (fixed upstream)

 -- Tobias Grimm <tg@e-tobi.net>  Thu, 03 Apr 2008 23:06:26 +0200

vdr-plugin-fritzbox (0.0.12-2) experimental; urgency=low

  * Added 01_fd-fix.dpatch

 -- Tobias Grimm <tg@e-tobi.net>  Sun, 23 Mar 2008 12:31:37 +0100

vdr-plugin-fritzbox (0.0.12-1) experimental; urgency=low

  * New upstream release
  * Updated debian/watch
  * Build-depend on vdr-dev (>= 1.5.17)

 -- Tobias Grimm <tg@e-tobi.net>  Tue, 11 Mar 2008 22:23:48 +0100

vdr-plugin-fritzbox (0.0.11-2) experimental; urgency=low

  * Force rebuild for vdr 1.5.15

 -- Tobias Grimm <tg@e-tobi.net>  Mon, 18 Feb 2008 21:08:01 +0100

vdr-plugin-fritzbox (0.0.11-1) experimental; urgency=low

  * New upstream release
  * Updated debian/copyright
  * Removed 90_fritzbox-0.0.9-compile-fix.dpatch (fixed upstream)

 -- Tobias Grimm <tg@e-tobi.net>  Sat, 16 Feb 2008 16:40:17 +0100

vdr-plugin-fritzbox (0.0.9-4) unstable; urgency=low

  * Release for vdrdevel 1.5.13
  * Fixed build for VDR >= 1.5.7

 -- Thomas Günther <tom@toms-cafe.de>  Wed, 16 Jan 2008 10:42:57 +0100

vdr-plugin-fritzbox (0.0.9-3) unstable; urgency=low

  * Switched Build-System to cdbs, Build-Depend on cdbs
  * Added Homepage field to debian/control
  * Renamed XS-Vcs-* fields to Vcs-* in debian/control
  * Bumped Standards-Version to 3.7.3 

 -- Thomas Schmidt <tschmidt@debian.org>  Sat, 29 Dec 2007 13:37:36 +0100

vdr-plugin-fritzbox (0.0.9-2) unstable; urgency=low

  * Release for vdrdevel 1.5.12

 -- Thomas Günther <tom@toms-cafe.de>  Tue, 20 Nov 2007 23:46:18 +0100

vdr-plugin-fritzbox (0.0.9-1) unstable; urgency=low

  * New upstream release
  * Added 90_fritzbox-0.0.9-compile-fix.dpatch
  * Added dpatch to Build-Depends

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 18 Nov 2007 22:04:04 +0100

vdr-plugin-fritzbox (0.0.8-1) unstable; urgency=low

  * New upstream release
  * Removed DVBDIR from debian/rules

 -- Thomas Günther <tom@toms-cafe.de>  Sun, 11 Nov 2007 00:54:05 +0100

vdr-plugin-fritzbox (0.0.7-3) unstable; urgency=low

  * Release for vdrdevel 1.5.11

 -- Thomas Günther <tom@toms-cafe.de>  Tue,  6 Nov 2007 23:34:12 +0100

vdr-plugin-fritzbox (0.0.7-2) unstable; urgency=low

  * First upload to the official archive (closes: #423253)

 -- Thomas Schmidt <tschmidt@debian.org>  Fri, 05 Oct 2007 22:40:23 +0200

vdr-plugin-fritzbox (0.0.7-1) unstable; urgency=low

  * New upstream release
  * Added gettext to Build-Depends
  * Added installation of locale files (if VDR >= 1.5.7)


=== debian/control ===
Source: vdr-plugin-fritzbox
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.17), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
Standards-Version: 3.9.1
Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/
Homepage: http://www.joachim-wilke.de/vdr-fritz.htm

Package: vdr-plugin-fritzbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to access certain functions of an AVM Fritz!Box
 This VDR plugin connects to the Fritz!Box to inform you about incoming
 calls. As an option, the plugin can automatically mute VDR when a call
 comes in.

## vdr-plugin-fritzbox 1.4.0

=== debian/changelog ===
vdr-plugin-fritzbox (1.4.0-1) unstable; urgency=low

  * New upstream release

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 22:20:22 +0200

vdr-plugin-fritzbox (1.3.9-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.18)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Apr 2011 20:06:09 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.17), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.18), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
 Standards-Version: 3.9.1
 Vcs-Svn: svn://svn.debian.org/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-vdr-dvb/vdr/vdr-plugin-fritzbox/trunk/

## vdr-plugin-fritzbox 1.4.1

=== Makefile ===
--- 
+++ 
@@ -57,18 +57,7 @@
 ### libfritz++
 LIBFRITZ = libfritz++
 INCLUDES += -I$(LIBFRITZ)
-LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt
-
-### libpthread++
-LIBPTHREAD = libpthread++
-INCLUDES += -I$(LIBPTHREAD)
-LIBS += $(LIBPTHREAD)/$(LIBPTHREAD).a
-
-### libtcpclient++
-LIBTCPCLIENT = libtcpclient++
-INCLUDES += -I$(LIBTCPCLIENT)
-LIBS += $(LIBTCPCLIENT)/$(LIBTCPCLIENT).a 
-
+LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt -lccgnu2
 
 ### The object files (add further files here):
 
@@ -81,15 +70,9 @@
 libvdr-$(PLUGIN).so: $(OBJS) libfritz 
 	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
 	
-libfritz: libtcpclient libpthread
+libfritz:
 	$(MAKE) -C $(LIBFRITZ)	
 	
-libtcpclient:
-	$(MAKE) -C $(LIBTCPCLIENT)
-	
-libpthread:
-	$(MAKE) -C $(LIBPTHREAD)
-
 %.o: %.c
 	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<
 
@@ -105,8 +88,6 @@
 	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
 	@-rm -f $(OBJS) $(DEPFILE) *.so *.tgz core* *~
 	@-make -C $(LIBFRITZ) clean
-	@-make -C $(LIBTCPCLIENT) clean
-	@-make -C $(LIBPTHREAD) clean
 
 ### Internationalization (I18N):
 
@@ -120,10 +101,13 @@
 	msgfmt -c -o $@ $<
 
 $(I18Npot): $(wildcard *.c) $(wildcard libfritz++/*.cpp)
-	xgettext -C -cTRANSLATORS --no-wrap -F -k -ktr -ktrNOOP -kI18N_NOOP --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+	xgettext -C -cTRANSLATORS --no-wrap -s --no-location -k -ktr -ktrNOOP -kI18N_NOOP \
+	         --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ $^
+	grep -v POT-Creation $(I18Npot) > $(I18Npot)~
+	mv $(I18Npot)~ $(I18Npot)
 
 %.po: $(I18Npot)
-	msgmerge -U --no-wrap -F --backup=none -q $@ $<
+	msgmerge -U --no-wrap -s --backup=none -q $@ $<
 	@touch $@
 
 $(I18Nmsgs): $(LOCALEDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo

=== debian/changelog ===
vdr-plugin-fritzbox (1.4.1-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.23)

 -- Tobias Grimm <etobi@debian.org>  Sun, 29 Jan 2012 19:05:19 +0100

vdr-plugin-fritzbox (1.4.1-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.22)

 -- Tobias Grimm <etobi@debian.org>  Sun, 11 Dec 2011 17:16:35 +0100

vdr-plugin-fritzbox (1.4.1-3) unstable; urgency=low

  * Switched to GIT using pristine tar

 -- Tobias Grimm <etobi@debian.org>  Sat, 29 Oct 2011 20:10:40 +0200

vdr-plugin-fritzbox (1.4.1-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.21)

 -- Tobias Grimm <etobi@debian.org>  Sun, 18 Sep 2011 18:23:33 +0200

vdr-plugin-fritzbox (1.4.1-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.20)
  * Standards-Version: 3.9.2

 -- Tobias Grimm <etobi@debian.org>  Sat, 20 Aug 2011 17:16:07 +0200

=== debian/control ===
Source: vdr-plugin-fritzbox
Section: video
Priority: extra
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
Standards-Version: 3.9.2
Homepage: http://www.joachim-wilke.de/vdr-fritz.htm
Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-fritzbox.git
Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-fritzbox.git

Package: vdr-plugin-fritzbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to access certain functions of an AVM Fritz!Box
 This VDR plugin connects to the Fritz!Box to inform you about incoming
 calls. As an option, the plugin can automatically mute VDR when a call
 comes in.

## vdr-plugin-fritzbox 1.4.3

=== debian/changelog ===
vdr-plugin-fritzbox (1.4.3-2) unstable; urgency=low

  * Now really build-depend on vdr-1.7.28

 -- Tobias Grimm <etobi@debian.org>  Thu, 28 Jun 2012 23:17:46 +0200

vdr-plugin-fritzbox (1.4.3-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.28)

 -- Tobias Grimm <etobi@debian.org>  Sat, 09 Jun 2012 18:04:37 +0200

vdr-plugin-fritzbox (1.4.2-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.27)

 -- Tobias Grimm <etobi@debian.org>  Sat, 28 Apr 2012 07:43:32 +0200

vdr-plugin-fritzbox (1.4.2-1) unstable; urgency=low

  * New upstream release
  * Build-depend on vdr-dev (>= 1.7.26)
  * Standards-Version: 3.9.3

 -- Tobias Grimm <etobi@debian.org>  Sun, 25 Mar 2012 12:19:41 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.23), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
+Standards-Version: 3.9.3
 Homepage: http://www.joachim-wilke.de/vdr-fritz.htm
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-fritzbox.git
 Vcs-Browser: http://git.debian.org/?p=pkg-vdr-dvb/vdr-plugin-fritzbox.git

=== debian/watch ===
version=3

opts=filenamemangle=s/.*=(.*)/$1/,downloadurlmangle=s/download.htm.*=(.*)/downloads\/vdr-fritz\/$1/ \
  http://www.joachim-wilke.de/vdr-fritz.htm .*file=vdr-fritzbox-(.*)\.tgz

## vdr-plugin-fritzbox 1.5.2

=== Makefile ===
#
# Makefile for a Video Disk Recorder plugin
#
# $Id$

# The official name of this plugin.
# This name will be used in the '-P...' option of VDR to load the plugin.
# By default the main source file also carries this name.

PLUGIN = fritzbox
	
### The version number of this plugin (taken from the main source file):

VERSION = $(shell grep 'static const char \*VERSION *=' $(PLUGIN).c | awk '{ print $$6 }' | sed -e 's/[";]//g')

# Use package data if installed...otherwise assume we're under the VDR source directory:
PKGCFG = $(if $(VDRDIR),$(shell pkg-config --variable=$(1) $(VDRDIR)/vdr.pc),$(shell pkg-config --variable=$(1) vdr || pkg-config --variable=$(1) ../../../vdr.pc))
LIBDIR = $(DESTDIR)$(call PKGCFG,libdir)
LOCDIR = $(DESTDIR)$(call PKGCFG,locdir)
TMPDIR = /tmp

### The compiler options:
export CFLAGS   = $(call PKGCFG,cflags)
export CXXFLAGS = $(call PKGCFG,cxxflags)

### The version number of VDR's plugin API (taken from VDR's "config.h"):

APIVERSION = $(call PKGCFG,apiversion)
DOXYFILE = Doxyfile
DOXYGEN  = doxygen

### The name of the distribution archive:

ARCHIVE = $(PLUGIN)-$(VERSION)
PACKAGE = vdr-$(ARCHIVE)

### The name of the shared object file:
SOFILE = libvdr-$(PLUGIN).so

### Includes and Defines (add further entries here):

DEFINES += -DPLUGIN_NAME_I18N='"$(PLUGIN)"'

### libfritz++
LIBFRITZ = libfritz++
INCLUDES += -I$(LIBFRITZ)
LIBS += $(LIBFRITZ)/$(LIBFRITZ).a -lgcrypt -lccgnu2

### The object files (add further files here):

OBJS = $(PLUGIN).o fritzeventhandler.o log.o menu.o notifyosd.o setup.o	

### Internationalization (I18N):

PODIR     = po
I18Npo    = $(wildcard $(PODIR)/*.po)
I18Nmo    = $(addsuffix .mo, $(foreach file, $(I18Npo), $(basename $(file))))
I18Nmsgs  = $(addprefix $(LOCDIR)/, $(addsuffix /LC_MESSAGES/vdr-$(PLUGIN).mo, $(notdir $(foreach file, $(I18Npo), $(basename $(file))))))
I18Npot   = $(PODIR)/$(PLUGIN).pot

### Targets:
all: $(SOFILE) i18n test $(LIBFRITZ)

libvdr-$(PLUGIN).so: $(OBJS) $(LIBFRITZ) 
	$(CXX) $(CXXFLAGS) -shared $(OBJS) $(LIBS) -o $@
	ar ru libvdr-$(PLUGIN).a $(OBJS)

install-lib: $(SOFILE)
	install -D $^ $(LIBDIR)/$^.$(APIVERSION)

install: install-lib install-i18n

$(LIBFRITZ):
	@$(MAKE) -C $(LIBFRITZ)
	
%.o: %.c
	$(CXX) $(CXXFLAGS) -c $(DEFINES) $(INCLUDES) $<

dist: clean
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@mkdir $(TMPDIR)/$(ARCHIVE)
	@cp -a * $(TMPDIR)/$(ARCHIVE)
	@tar czf $(PACKAGE).tgz --exclude=.* --exclude=test --exclude=test.old --exclude=*.launch -C $(TMPDIR) $(ARCHIVE)
	@-rm -rf $(TMPDIR)/$(ARCHIVE)
	@echo Distribution package created as $(PACKAGE).tgz

clean:
	@-rm -f $(PODIR)/*.mo $(PODIR)/*.pot
	@-rm -f $(OBJS) $(DEPFILE) *.so *.a *.tgz core* *~
	@-make -C $(LIBFRITZ) clean
	@-make -C test clean
	
%.mo: %.po
	msgfmt -c -o $@ $<

$(I18Npot): $(wildcard *.c) $(wildcard libfritz++/*.cpp)
	xgettext -C -cTRANSLATORS --no-wrap -s --no-location -k -ktr -ktrNOOP -kI18N_NOOP \
	         --package-name=vdr-$(PLUGIN) --package-version=$(VERSION) --msgid-bugs-address='<vdr@joachim-wilke.de>' -o $@ `ls $^`
	grep -v POT-Creation $(I18Npot) > $(I18Npot)~
	mv $(I18Npot)~ $(I18Npot)

%.po: $(I18Npot)
	msgmerge -U --no-wrap --no-location --backup=none -q -N $@ $<
	@touch $@

$(I18Nmsgs): $(LOCDIR)/%/LC_MESSAGES/vdr-$(PLUGIN).mo: $(PODIR)/%.mo
	install -D -m644 $< $@

i18n: $(I18Nmo) $(I18Npot)

install-i18n: $(I18Nmsgs)

test:
	@-make -C test

srcdoc:
	@cp $(DOXYFILE) $(DOXYFILE).tmp
	@echo PROJECT_NUMBER = $(VERSION) >> $(DOXYFILE).tmp
	$(DOXYGEN) $(DOXYFILE).tmp
	@rm $(DOXYFILE).tmp

.PHONY: i18n test $(LIBFRITZ)
				
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.c) > $@

-include $(DEPFILE)

=== libfritz++/Makefile ===
LIB = libfritz++.a
OBJS = cc++/url.o cc++/mime.o cc++/urlstring.o cc++/soap.o CallList.o Config.o Fonbooks.o Fonbook.o FonbookManager.o FritzClient.o FritzFonbook.o HttpClient.o Listener.o LookupFonbook.o Tools.o LocalFonbook.o Nummerzoeker.o OertlichesFonbook.o SoapClient.o TcpClient.o TelLocalChFonbook.o XmlFonbook.o

CXXFLAGS ?= -g -O2 -Wall -fPIC

.PHONY: all test clean

### for cc++ dir
INCLUDES += -I.

all: $(LIB) test

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $(DEFINES) $(INCLUDES) $<

$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).

clean:
	@-make -C test clean
	@-rm $(LIB) $(OBJS) $(DEPFILE) $(TEST_OBJS) $(TEST_EXEC)

###
# Tests
test: 
	@-make -C test

###
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

=== debian/changelog ===
vdr-plugin-fritzbox (1.5.2-5) unstable; urgency=low

  * Build-depend on vdr-dev (>= 2.0.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 31 Mar 2013 14:00:07 +0200

vdr-plugin-fritzbox (1.5.2-4) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.42)

 -- Tobias Grimm <etobi@debian.org>  Sat, 23 Mar 2013 20:48:12 +0100

vdr-plugin-fritzbox (1.5.2-3) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.41)

 -- Tobias Grimm <etobi@debian.org>  Sun, 17 Mar 2013 19:45:01 +0100

vdr-plugin-fritzbox (1.5.2-2) unstable; urgency=low

  * Build-depend on vdr-dev (>= 1.7.40)

 -- Tobias Grimm <etobi@debian.org>  Sun, 10 Mar 2013 19:05:54 +0100

vdr-plugin-fritzbox (1.5.2-1) unstable; urgency=low

  * New upstream release
  * Updated debian/watch
  * Updated debian/copyright
  * Use debhelper 9
  * Build-depend on vdr-dev (>= 1.7.39)

 -- Tobias Grimm <etobi@debian.org>  Sun, 24 Feb 2013 17:54:09 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
 Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 7.0.50~), vdr-dev (>= 1.7.28), gettext, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
+Build-Depends: debhelper (>= 9), vdr-dev (>= 2.0.0), gettext, pkg-config, libgnutls-dev, libgcrypt11-dev, libcommoncpp2-dev
 Standards-Version: 3.9.3
 Homepage: http://www.joachim-wilke.de/vdr-fritz.htm
 Vcs-Git: git://git.debian.org/git/pkg-vdr-dvb/vdr-plugin-fritzbox.git

=== debian/watch ===
version=3

http://www.joachim-wilke.de/vdr-fritz.htm downloads/vdr-fritz/vdr-fritzbox-(.*)\.tgz

## vdr-plugin-fritzbox 1.5.3

=== libfritz++/CMakeLists.txt ===
# --- general setup -----------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
project (libfritz++)

#set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
#set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${libfritz++_SOURCE_DIR}/CMakeModules")
find_package(PkgConfig REQUIRED)
find_package(Threads REQUIRED)

# --- libgcrypt includes ------------------------------------------------------
include("FindGcryptConfig")
gcrypt_check(GCRYPT REQUIRED gcrypt)

# --- boost -------------------------------------------------------------------
find_package(Boost COMPONENTS system date_time thread regex REQUIRED)

# --- threading ---------------------------------------------------------------
find_package(Threads)

# --- compile and link --------------------------------------------------------
include_directories(${libfritz++_SOURCE_DIR})
include_directories(${libfritz++_SOURCE_DIR}/..)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} ${GCRYPT_CFLAGS} -std=gnu++11")

set(SRCS CallList.cpp Config.cpp 
         Fonbooks.cpp Fonbook.cpp FonbookManager.cpp FritzClient.cpp FritzFonbook.cpp 
         Listener.cpp LocalFonbook.cpp
         LookupFonbook.cpp Nummerzoeker.cpp OertlichesFonbook.cpp 
         TelLocalChFonbook.cpp Tools.cpp XmlFonbook.cpp)
add_library(fritz++ STATIC ${SRCS})

# --- tests -------------------------------------------------------------------
if (EXISTS ${libfritz++_SOURCE_DIR}/test)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -DSOURCE_DIR=\\\"${libfritz++_SOURCE_DIR}\\\"")
  include_directories(${libfritz++_SOURCE_DIR}/test)
  AUX_SOURCE_DIRECTORY(test LIBTESTFILES)
  add_executable(libfritztest ${LIBTESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
  target_link_libraries(libfritztest fritz++ log++ net++ conv++
                        ${Boost_SYSTEM_LIBRARY} ${Boost_THREAD_LIBRARY} ${Boost_REGEX_LIBRARY}
                        ${GCRYPT_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT}
                        )
endif (EXISTS ${libfritz++_SOURCE_DIR}/test)

=== libnet++/Makefile ===
AFILE = $(notdir $(subst /.a,.a,$(addsuffix .a,$(CURDIR))))
OBJS  = $(patsubst %.cpp,%.o,$(wildcard *.cpp))

.PHONY: all clean

all: $(AFILE) 

%.o: %.cpp
	$(CXX) $(CXXFLAGS) -o $@ -c $<
	
$(AFILE): $(OBJS)
	@ar ru $(AFILE) $(OBJS)
	
clean:
	@-rm -f $(AFILE) $(OBJS) $(DEPFILE)

###
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(CXXFLAGS) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

=== debian/changelog ===
vdr-plugin-fritzbox (1.5.3-9) unstable; urgency=medium

  * Standards-Version: 4.4.1

 -- Tobias Grimm <etobi@debian.org>  Fri, 01 Nov 2019 14:05:25 +0100

vdr-plugin-fritzbox (1.5.3-8) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.4.1

  * Added patch vor Boost 1.67 compatibility

 -- Tobias Grimm <etobi@debian.org>  Fri, 19 Jul 2019 08:11:14 +0200

vdr-plugin-fritzbox (1.5.3-7) unstable; urgency=medium

  * VCS moved to salsa.debian.org
  * Replaced priority extra with optional
  * Build-depend on vdr-dev (>= 2.4.0)

 -- Tobias Grimm <etobi@debian.org>  Sun, 15 Apr 2018 19:13:53 +0200

vdr-plugin-fritzbox (1.5.3-6) unstable; urgency=medium

  * Build-depend on vdr-dev >= 2.3.8

 -- Tobias Grimm <etobi@debian.org>  Sun, 20 Aug 2017 22:04:02 +0200

vdr-plugin-fritzbox (1.5.3-5) unstable; urgency=medium

  * Standards-Version: 3.9.8

 -- Tobias Grimm <etobi@debian.org>  Tue, 31 Jan 2017 22:39:15 +0100

vdr-plugin-fritzbox (1.5.3-4) unstable; urgency=medium

  * Fix (d|e|i)syslog() calls to include format parameter to avoid build
    failures with "-Werror=format-security"

 -- Tobias Grimm <etobi@debian.org>  Mon, 07 Sep 2015 21:52:36 +0200

vdr-plugin-fritzbox (1.5.3-3) unstable; urgency=medium

  * Now supporting the /etc/vdr/conf.d mechanism

 -- Tobias Grimm <etobi@debian.org>  Mon, 23 Mar 2015 22:46:00 +0100

vdr-plugin-fritzbox (1.5.3-2) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.2.0)

 -- Tobias Grimm <etobi@debian.org>  Thu, 19 Feb 2015 12:39:47 +0100

vdr-plugin-fritzbox (1.5.3-1) unstable; urgency=medium

  * New upstream homepage
  * New upstream release
  * Build-depend on vdr-dev (>= 2.1.10)
  * Standards-Version: 3.9.6

 -- Tobias Grimm <etobi@debian.org>  Sat, 14 Feb 2015 16:07:22 +0100

vdr-plugin-fritzbox (1.5.2-6) unstable; urgency=medium

  * Build-depend on vdr-dev (>= 2.0.6)
  * Standards-Version: 3.9.5

 -- Tobias Grimm <etobi@debian.org>  Sun, 26 Oct 2014 21:37:39 +0100

vdr-plugin-fritzbox (1.5.2-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop unused build-depends on libgnutls-dev. Build-depend on
    libgcrypt20-dev instead of transition package libgcrypt11-dev.
    Closes: #764109

 -- Andreas Metzler <ametzler@debian.org>  Sat, 11 Oct 2014 14:28:05 +0200

=== debian/control ===
Source: vdr-plugin-fritzbox
Section: video
Priority: optional
Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config,
  libgcrypt20-dev,
  libcommoncpp2-dev,
  libboost-system-dev,
  libboost-regex-dev,
  libboost-thread-dev
Standards-Version: 4.4.1
Homepage: https://github.com/jowi24/vdr-fritz
Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox.git
Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox

Package: vdr-plugin-fritzbox
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${vdr:Depends}
Description: VDR plugin to access certain functions of an AVM Fritz!Box
 This VDR plugin connects to the Fritz!Box to inform you about incoming
 calls. As an option, the plugin can automatically mute VDR when a call
 comes in.

=== debian/watch ===
version=2
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/<project>-$1\.tar\.gz/ \
  https://github.com/jowi24/vdr-fritz/tags .*/v?(\d\S*)\.tar\.gz

## vdr-plugin-fritzbox 1.5.4

=== libconv++/CMakeLists.txt ===
# --- determine some library dependend variables ------------------------------
STRING(REGEX REPLACE .*/lib "" LIBNAME ${CMAKE_CURRENT_LIST_DIR})
AUX_SOURCE_DIRECTORY(${CMAKE_CURRENT_LIST_DIR} SRCS)

# --- general setup -----------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
project (lib${LIBNAME})

#set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
#set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 

# --- compile and link --------------------------------------------------------
include_directories(${lib${LIBNAME}_SOURCE_DIR})
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

add_library(${LIBNAME} STATIC ${SRCS})

# --- tests -------------------------------------------------------------------
if (EXISTS ${lib${LIBNAME}_SOURCE_DIR}/test)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -DSOURCE_DIR=\\\"${lib${LIBNAME}_SOURCE_DIR}\\\"")
  include_directories(${lib${LIBNAME}_SOURCE_DIR}/..)
  include_directories(${lib${LIBNAME}_SOURCE_DIR}/test)
  AUX_SOURCE_DIRECTORY(test LIBTESTFILES)
  add_executable(lib${LIBNAME}test ${LIBTESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
  target_link_libraries(lib${LIBNAME}test ${LIBNAME} pthread
                        ${CMAKE_THREAD_LIBS_INIT}
                        )
endif (EXISTS ${lib${LIBNAME}_SOURCE_DIR}/test)

=== libnet++/CMakeLists.txt ===
# --- determine some library dependend variables ------------------------------
STRING(REGEX REPLACE .*/lib "" LIBNAME ${CMAKE_CURRENT_LIST_DIR})
AUX_SOURCE_DIRECTORY(${CMAKE_CURRENT_LIST_DIR} SRCS)

# --- general setup -----------------------------------------------------------
cmake_minimum_required(VERSION 2.6)
project (lib${LIBNAME})

#set(CMAKE_VERBOSE_MAKEFILE true) # <-- enable for debugging
#set(CMAKE_BUILD_TYPE "Debug")    # <-- enable for debugging 

# --- boost -------------------------------------------------------------------
find_package(Boost COMPONENTS system date_time thread REQUIRED)

# --- compile and link --------------------------------------------------------
include_directories(${lib${LIBNAME}_SOURCE_DIR})
include_directories(${lib${LIBNAME}_SOURCE_DIR}/..)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=gnu++11")

add_library(${LIBNAME} STATIC ${SRCS})

# --- tests -------------------------------------------------------------------
if (EXISTS ${lib${LIBNAME}_SOURCE_DIR}/test)
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-undef -DSOURCE_DIR=\\\"${lib${LIBNAME}_SOURCE_DIR}\\\"")
  include_directories(${lib${LIBNAME}_SOURCE_DIR}/..)
  include_directories(${lib${LIBNAME}_SOURCE_DIR}/test)
  AUX_SOURCE_DIRECTORY(test LIBTESTFILES)
  add_executable(lib${LIBNAME}test ${LIBTESTFILES} test/gtest/gtest-all.cc test/gtest/gtest_main.cc)
  target_link_libraries(lib${LIBNAME}test ${LIBNAME} pthread log++ conv++
                        ${Boost_SYSTEM_LIBRARY} ${Boost_THREAD_LIBRARY} ${CMAKE_THREAD_LIBS_INIT}
                        )
endif (EXISTS ${lib${LIBNAME}_SOURCE_DIR}/test)

=== test/Makefile ===
VDRDIR=../../vdr
PLUGIN_OBJECTS = $(patsubst %.cpp,%.o,$(wildcard ../*.cpp))
VDR_LIB = vdr.a
SI_LIB = $(VDRDIR)/libsi/libsi.a
GTEST_LIB = gtest/gtest.a
OBJS = $(patsubst %.cpp,%.o,$(wildcard *.cpp)) 
EXEC = fritzplugintest

VDR_LDFLAGS =  -ljpeg -lrt -ldl $(shell pkg-config --libs freetype2 fontconfig)  

all: $(EXEC)

$(EXEC): $(OBJS) $(PLUGIN_OBJECTS) $(GTEST_LIB) $(VDR_LIB) 
	$(CXX) $(CXXFLAGS) $(OBJS) $(PLUGIN_OBJECTS) $(GTEST_LIB) $(STATIC_LIBS) $(VDR_LIB) $(SI_LIB) $(LDFLAGS) $(VDR_LDFLAGS) -o $(EXEC)  

%.o: %.c
	$(CXX) $(CXXFLAGS) -o $@ -c $(DEFINES) $<
	
$(GTEST_LIB):
	make -C gtest
	
$(VDR_LIB):
	ar ru $(VDR_LIB) $(wildcard $(VDRDIR)/*.o) 
	
clean:
	@-make -C gtest clean
	@-rm $(OBJS) $(EXEC) $(VDR_LIB)

=== libconv++/test/Makefile ===
GTEST_LIB = gtest/gtest.a
OBJS = $(patsubst %.cpp,%.o,$(wildcard *.cpp))
EXEC = $(notdir $(subst /test,test,$(CURDIR)))

all: $(EXEC)

$(EXEC): $(OBJS) $(GTEST_LIB) $(STATIC_LIBS)
	$(CXX) $(CXXFLAGS) $(OBJS) $(GTEST_LIB) $(STATIC_LIBS) $(LDFLAGS) -o $(EXEC)  

%.o: %.cpp
	$(CXX) -I.. $(CXXFLAGS) -o $@ -c $<
	
$(GTEST_LIB):
	$(MAKE) -C $(dir $(GTEST_LIB))

clean:
	@-make -C $(dir $(GTEST_LIB)) clean
	@-rm -f $(OBJS) $(DEPFILE) $(EXEC)
	
###
# Dependencies:

MAKEDEP = $(CXX) -MM -MG
DEPFILE = .dependencies
$(DEPFILE): Makefile
	@$(MAKEDEP) $(DEFINES) $(INCLUDES) $(CXXFLAGS) $(OBJS:%.o=%.cpp) > $@

-include $(DEPFILE)

=== test/gtest/Makefile ===
LIB = gtest.a
OBJS = gtest_main.o gtest-all.o

INCLUDES += -I..

all: $(OBJS) $(LIB)

%.o: %.cc
	$(CXX) $(CXXFLAGS) -o $@ -c $(DEFINES) $(INCLUDES) $<
	
$(LIB): $(OBJS)
	ar ru $(LIB) $(OBJS)
	@-echo Built $(LIB).
	
clean:
	@-rm $(OBJS) $(LIB)

=== debian/changelog ===
vdr-plugin-fritzbox (1.5.4-3) unstable; urgency=medium

  * build against vdr 2.6.9
  * add myself to uploaders
  * change build-depends from obsolete pkg-config to pkgconf
  * update standards-version to 4.7.0

 -- Christoph Martin <chrism@debian.org>  Tue, 18 Feb 2025 19:57:27 +0100

vdr-plugin-fritzbox (1.5.4-2) unstable; urgency=medium

  * Build-depend on vdr 2.6.0 and update standards version to 4.6.0
  * Remove Thomas Günther and Thomas Schmidt from uploaders

 -- Tobias Grimm <etobi@debian.org>  Wed, 12 Jan 2022 09:33:15 +0100

vdr-plugin-fritzbox (1.5.4-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Fix FTCBFS: Use the host architecture pkg-config. (Closes: #933084)

  [ Tobias Grimm ]
  * New upstream version 1.5.4
  * Drop libcommoncpp2-dev build dependency (Closes: #998892)
  * Update patches
  * Disable building tests
  * Update debian/watch to version 4

 -- Tobias Grimm <etobi@debian.org>  Mon, 20 Dec 2021 16:27:39 +0100

=== debian/control ===
--- 
+++ 
@@ -2,14 +2,14 @@
 Section: video
 Priority: optional
 Maintainer: Debian VDR Team <pkg-vdr-dvb-devel@lists.alioth.debian.org>
-Uploaders: Thomas Schmidt <tschmidt@debian.org>, Tobias Grimm <etobi@debian.org>, Thomas Günther <tom@toms-cafe.de>
-Build-Depends: debhelper (>= 9), vdr-dev (>= 2.4.1), gettext, pkg-config,
+Uploaders: Tobias Grimm <etobi@debian.org>,
+ Christoph Martin <chrism@debian.org>
+Build-Depends: debhelper-compat (= 13), vdr-dev (>= 2.6.0), gettext, pkgconf,
   libgcrypt20-dev,
-  libcommoncpp2-dev,
   libboost-system-dev,
   libboost-regex-dev,
   libboost-thread-dev
-Standards-Version: 4.4.1
+Standards-Version: 4.7.0
 Homepage: https://github.com/jowi24/vdr-fritz
 Vcs-Git: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox.git
 Vcs-Browser: https://salsa.debian.org/vdr-team/vdr-plugin-fritzbox

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1
-include /usr/share/dpkg/buildtools.mk
export PKG_CONFIG ?= pkg-config

%:
	dh $@ --with vdrplugin

=== debian/watch ===
version=4
#
# Warning! The project uses git submodules, which isn't supported by
# GitHub when downloading a zipped tag or release
#
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/vdr-fritz-$1\.tar\.gz/ \
  https://github.com/jowi24/vdr-fritz/tags .*/v?(\d\S*)\.tar\.gz
